rte_memseg_list(3)

NAME
rte_memseg_list

SYNOPSIS

#include <rte_memory.h>

  Data Fields

uint64_t page_sz
int socket_id
volatile uint32_t version
size_t len
unsigned int external
unsigned int heap

Detailed Description

memseg list is a special case as we need to store a bunch of other data together with the array itself.

Definition at line 67 of file rte_memory.h.

Field Documentation

  void* base_va
Base virtual address for this memseg list.

Definition at line 69 of file rte_memory.h.

  uint64_t addr_64
Makes sure addr is always 64-bits

Definition at line 71 of file rte_memory.h.

  uint64_t page_sz
Page size for all memsegs in this list.

Definition at line 74 of file rte_memory.h.

  int socket_id
Socket ID for all memsegs in this list.

Definition at line 75 of file rte_memory.h.

  volatile uint32_t version
version number for multiprocess sync.

Definition at line 76 of file rte_memory.h.

  size_t len
Length of memory area covered by this memseg list.

Definition at line 77 of file rte_memory.h.

  unsigned int external
1 if this list points to external memory

Definition at line 78 of file rte_memory.h.

  unsigned int heap
1 if this list points to a heap

Definition at line 79 of file rte_memory.h.

Author

Generated automatically by Doxygen for DPDK from the source code.